<div class="col-12 col-lg-6">
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <span class="mb-2 me-2">Старый пароль<sup>*</sup></span>
    <input type="password"
           placeholder="Введите старый пароль"
           pInputText
           [ngClass]="{'empty-field': !oldPassword}"
           [(ngModel)]="oldPassword"/>
  </div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <span class="mb-2 me-2">Новый пароль<sup>*</sup></span>
    <input type="password"
           placeholder="Введите новый пароль"
           pInputText
           [ngClass]="{'empty-field': !newPassword}"
           [(ngModel)]="newPassword"/>
  </div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <span class="mb-2 me-2">Подтверждение пароля<sup>*</sup></span>
    <input type="password"
           placeholder="Введите пароль еще раз"
           pInputText
           [ngClass]="{'empty-field': !newPasswordConfirm}"
           [(ngModel)]="newPasswordConfirm"/>
  </div>
</div>

<div class="caption">
  <p>* поля являются обязательными</p>
</div>

<div>
  <button type="button"
          (click)="changePassword()"
          [disabled]="!oldPassword || !newPassword || !newPasswordConfirm"
          class="btn btn-primary col-12 col-lg-6">
    Изменить пароль
  </button>
</div>


